### Methods

## PclZip()

    PclZip($p_zipname)

### Parameters

#### $p_zipname

## add()

    add($p_filelist)

### Parameters

#### $p_filelist

## create()

    create($p_filelist)

### Parameters

#### $p_filelist

## delete()

    delete()

## deleteByIndex()

    deleteByIndex($p_index)

### Parameters

#### $p_index

## duplicate()

    duplicate($p_archive)

### Parameters

#### $p_archive

## errorCode()

    errorCode()

## errorInfo()

    errorInfo($p_full)

### Parameters

#### $p_full

## errorName()

    errorName($p_with_code)

### Parameters

#### $p_with_code

## extract()

    extract()

## extractByIndex()

    extractByIndex($p_index)

### Parameters

#### $p_index

## listContent()

    listContent()

## merge()

    merge($p_archive_to_add)

### Parameters

#### $p_archive_to_add

## privAdd()

    privAdd($p_filedescr_list, $p_result_list, $p_options)

### Parameters

#### $p_filedescr_list

#### $p_result_list

#### $p_options

## privAddFile()

    privAddFile($p_filedescr, $p_header, $p_options)

### Parameters

#### $p_filedescr

#### $p_header

#### $p_options

## privAddFileList()

    privAddFileList($p_filedescr_list, $p_result_list, $p_options)

### Parameters

#### $p_filedescr_list

#### $p_result_list

#### $p_options

## privAddFileUsingTempFile()

    privAddFileUsingTempFile($p_filedescr, $p_header, $p_options)

### Parameters

#### $p_filedescr

#### $p_header

#### $p_options

## privAddList()

    privAddList($p_filedescr_list, $p_result_list, $p_options)

### Parameters

#### $p_filedescr_list

#### $p_result_list

#### $p_options

## privCalculateStoredFilename()

    privCalculateStoredFilename($p_filedescr, $p_options)

### Parameters

#### $p_filedescr

#### $p_options

## privCheckFileHeaders()

    privCheckFileHeaders($p_local_header, $p_central_header)

### Parameters

#### $p_local_header

#### $p_central_header

## privCheckFormat()

    privCheckFormat($p_level)

### Parameters

#### $p_level

## privCloseFd()

    privCloseFd()

## privConvertHeader2FileInfo()

    privConvertHeader2FileInfo($p_header, $p_info)

### Parameters

#### $p_header

#### $p_info

## privCreate()

    privCreate($p_filedescr_list, $p_result_list, $p_options)

### Parameters

#### $p_filedescr_list

#### $p_result_list

#### $p_options

## privDeleteByRule()

    privDeleteByRule($p_result_list, $p_options)

### Parameters

#### $p_result_list

#### $p_options

## privDirCheck()

    privDirCheck($p_dir, $p_is_dir)

### Parameters

#### $p_dir

#### $p_is_dir

## privDisableMagicQuotes()

    privDisableMagicQuotes()

## privDuplicate()

    privDuplicate($p_archive_filename)

### Parameters

#### $p_archive_filename

## privErrorLog()

    privErrorLog($p_error_code, $p_error_string)

### Parameters

#### $p_error_code

#### $p_error_string

## privErrorReset()

    privErrorReset()

## privExtractByRule()

    privExtractByRule($p_file_list, $p_path, $p_remove_path, $p_remove_all_path, $p_options)

### Parameters

#### $p_file_list

#### $p_path

#### $p_remove_path

#### $p_remove_all_path

#### $p_options

## privExtractFile()

    privExtractFile($p_entry, $p_path, $p_remove_path, $p_remove_all_path, $p_options)

### Parameters

#### $p_entry

#### $p_path

#### $p_remove_path

#### $p_remove_all_path

#### $p_options

## privExtractFileAsString()

    privExtractFileAsString($p_entry, $p_string, $p_options)

### Parameters

#### $p_entry

#### $p_string

#### $p_options

## privExtractFileInOutput()

    privExtractFileInOutput($p_entry, $p_options)

### Parameters

#### $p_entry

#### $p_options

## privExtractFileUsingTempFile()

    privExtractFileUsingTempFile($p_entry, $p_options)

### Parameters

#### $p_entry

#### $p_options

## privFileDescrExpand()

    privFileDescrExpand($p_filedescr_list, $p_options)

### Parameters

#### $p_filedescr_list

#### $p_options

## privFileDescrParseAtt()

    privFileDescrParseAtt($p_file_list, $p_filedescr, $v_options, $v_requested_options)

### Parameters

#### $p_file_list

#### $p_filedescr

#### $v_options

#### $v_requested_options

## privList()

    privList($p_list)

### Parameters

#### $p_list

## privMerge()

    privMerge($p_archive_to_add)

### Parameters

#### $p_archive_to_add

## privOpenFd()

    privOpenFd($p_mode)

### Parameters

#### $p_mode

## privOptionDefaultThreshold()

    privOptionDefaultThreshold($p_options)

### Parameters

#### $p_options

## privParseOptions()

    privParseOptions($p_options_list, $p_size, $v_result_list, $v_requested_options)

### Parameters

#### $p_options_list

#### $p_size

#### $v_result_list

#### $v_requested_options

## privReadCentralFileHeader()

    privReadCentralFileHeader($p_header)

### Parameters

#### $p_header

## privReadEndCentralDir()

    privReadEndCentralDir($p_central_dir)

### Parameters

#### $p_central_dir

## privReadFileHeader()

    privReadFileHeader($p_header)

### Parameters

#### $p_header

## privSwapBackMagicQuotes()

    privSwapBackMagicQuotes()

## privWriteCentralFileHeader()

    privWriteCentralFileHeader($p_header)

### Parameters

#### $p_header

## privWriteCentralHeader()

    privWriteCentralHeader($p_nb_entries, $p_size, $p_offset, $p_comment)

### Parameters

#### $p_nb_entries

#### $p_size

#### $p_offset

#### $p_comment

## privWriteFileHeader()

    privWriteFileHeader($p_header)

### Parameters

#### $p_header

## properties()

    properties()

### Properties

##

    $error_code

##

    $error_string

##

    $magic_quotes_status

##

    $zip_fd

##

    $zipname